## golang-github-bougou-go-ipmi 0.7.8

=== Makefile ===
APP_VERSION ?= $(shell git describe --abbrev=5 --dirty --tags --always)
GIT_COMMIT := $(shell git rev-parse --short=8 HEAD)
BUILD_TIME := $(shell date -u +'%Y-%m-%dT%H:%M:%SZ')

BINDIR := $(PWD)/bin
OUTPUT_DIR := $(PWD)/_output

GOOS ?= $(shell uname -s | tr '[:upper:]' '[:lower:]')
GOARCH ?= amd64

LDFLAGS := $(LDFLAGS) -X github.com/bougou/go-ipmi/cmd/goipmi/commands.Version=$(APP_VERSION)
LDFLAGS := $(LDFLAGS) -X github.com/bougou/go-ipmi/cmd/goipmi/commands.Commit=$(GIT_COMMIT)
LDFLAGS := $(LDFLAGS) -X github.com/bougou/go-ipmi/cmd/goipmi/commands.BuildAt=$(BUILD_TIME)

PATH := $(BINDIR):$(PATH)
SHELL := env PATH='$(PATH)' /bin/sh

all: build

# Run tests
test: fmt vet
	@# Disable --race until https://github.com/kubernetes-sigs/controller-runtime/issues/1171 is fixed.
	ginkgo --randomizeAllSpecs --randomizeSuites --failOnPending --flakeAttempts=2 \
			--cover --coverprofile cover.out --trace --progress  $(TEST_ARGS)\
			./pkg/... ./cmd/...

# Build goipmi binary
build: fmt vet
	go build -ldflags "$(LDFLAGS)" -o $(OUTPUT_DIR)/goipmi ./cmd/goipmi

# Cross compiler
build-all: fmt vet
	CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -ldflags "$(LDFLAGS)" -a -o $(OUTPUT_DIR)/goipmi-$(APP_VERSION)-linux-amd64 ./cmd/goipmi
	CGO_ENABLED=0 GOOS=linux GOARCH=arm64 go build -ldflags "$(LDFLAGS)" -a -o $(OUTPUT_DIR)/goipmi-$(APP_VERSION)-linux-arm64 ./cmd/goipmi
	CGO_ENABLED=0 GOOS=darwin GOARCH=amd64 go build -ldflags "$(LDFLAGS)" -a -o $(OUTPUT_DIR)/goipmi-$(APP_VERSION)-darwin-amd64 ./cmd/goipmi
	CGO_ENABLED=0 GOOS=darwin GOARCH=arm64 go build -ldflags "$(LDFLAGS)" -a -o $(OUTPUT_DIR)/goipmi-$(APP_VERSION)-darwin-arm64 ./cmd/goipmi

# Run go fmt against code
fmt:
	go fmt ./...

# Run go vet against code
vet:
	go vet ./...

lint:
	$(BINDIR)/golangci-lint run --timeout 2m0s ./...

dependencies:
	test -d $(BINDIR) || mkdir $(BINDIR)
	GOBIN=$(BINDIR) go install github.com/onsi/ginkgo/ginkgo@v1.16.4

	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | bash -s -- -b $(BINDIR) latest

## golang-github-bougou-go-ipmi 0.7.2

=== debian/changelog ===
golang-github-bougou-go-ipmi (0.7.2-2) unstable; urgency=medium

  * debian/rules: add missing trailing slash to DH_GOLANG_EXCLUDES

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 15 Feb 2025 02:30:21 +0000

golang-github-bougou-go-ipmi (0.7.2-1) unstable; urgency=medium

  * Initial release (Closes: #1095934)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 14 Feb 2025 00:48:44 +0000

=== debian/control ===
Source: golang-github-bougou-go-ipmi
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-uuid-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-golang-x-net-dev,
               golang-pretty-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi.git
Homepage: https://github.com/bougou/go-ipmi
XS-Go-Import-Path: github.com/bougou/go-ipmi

Package: golang-github-bougou-go-ipmi-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-uuid-dev,
         golang-github-olekukonko-tablewriter-dev,
         golang-golang-x-net-dev,
         golang-pretty-dev,
         ${misc:Depends},
Description: Pure Go IPMI client library
 go-ipmi is a native Go IPMI client library. It does not wrap freeipmi,
 ipmitool etc. IPMI v1.5 and v2.0 are supported.

## golang-github-bougou-go-ipmi 0.7.7

=== debian/changelog ===
golang-github-bougou-go-ipmi (0.7.7-1) unstable; urgency=medium

  * New upstream release
  * Refresh d/gitlab-ci.yml from dh-make-golang template
  * Use correct package name for golang-github-kr-pretty-dev, instead of
    golang-pretty-dev virtual package
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Aug 2025 18:19:08 +0000

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dh-sequence-golang,
                golang-any,
                golang-github-google-uuid-dev,
+               golang-github-kr-pretty-dev,
                golang-github-olekukonko-tablewriter-dev,
                golang-golang-x-net-dev,
-               golang-pretty-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi.git
 Homepage: https://github.com/bougou/go-ipmi
@@ -22,9 +22,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-google-uuid-dev,
+         golang-github-kr-pretty-dev,
          golang-github-olekukonko-tablewriter-dev,
          golang-golang-x-net-dev,
-         golang-pretty-dev,
          ${misc:Depends},
 Description: Pure Go IPMI client library
  go-ipmi is a native Go IPMI client library. It does not wrap freeipmi,

## golang-github-bougou-go-ipmi 0.7.8

=== debian/changelog ===
golang-github-bougou-go-ipmi (0.7.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Set minimum required version of golang-github-olekukonko-tablewriter-dev

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 16 Aug 2025 15:51:59 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                golang-any,
                golang-github-google-uuid-dev,
                golang-github-kr-pretty-dev,
-               golang-github-olekukonko-tablewriter-dev,
+               golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
                golang-golang-x-net-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.2
@@ -23,7 +23,7 @@
 Multi-Arch: foreign
 Depends: golang-github-google-uuid-dev,
          golang-github-kr-pretty-dev,
-         golang-github-olekukonko-tablewriter-dev,
+         golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
          golang-golang-x-net-dev,
          ${misc:Depends},
 Description: Pure Go IPMI client library

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/bougou/go-ipmi/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-bougou-go-ipmi 0.8.0

=== debian/changelog ===
golang-github-bougou-go-ipmi (0.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Dec 2025 22:19:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: golang-github-bougou-go-ipmi
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -12,7 +10,7 @@
                golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
                golang-golang-x-net-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bougou-go-ipmi.git
 Homepage: https://github.com/bougou/go-ipmi
